import logging

from django import forms
from modeltranslation.settings import AVAILABLE_LANGUAGES

from core.models import (
    StaticPage,
)

logger = logging.getLogger(__name__)


class StaticPageEditForm(forms.ModelForm):
    class Meta:
        model = StaticPage
        fields = ['protection', 'privacy', 'remove_html', 'sanitize_html']


class StaticPageCreateForm(forms.ModelForm):
    class Meta:
        model = StaticPage
        fields = ['slug', 'language']

    language = forms.CharField(widget=forms.Select(choices=[(lang, lang) for lang in AVAILABLE_LANGUAGES]), required=True)
    title = forms.CharField(required=True)
    body = forms.CharField(required=True, widget=forms.Textarea())
