# Generated by Django 4.2.1 on 2023-06-03 19:29

import core.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0092_conference_guest_access'),
    ]

    operations = [
        migrations.CreateModel(
            name='Voucher',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(help_text='Voucher__name__help', max_length=200, verbose_name='Voucher__name')),
                ('enabled', models.BooleanField(default=False, help_text='Voucher__enabled__help', verbose_name='Voucher__enabled')),
                ('show_always', models.BooleanField(default=False, help_text='Voucher__show_always__help', verbose_name='Voucher__show_always')),
                ('hide_from_staff', models.BooleanField(default=False, help_text='Voucher__hide_from_staff__help', verbose_name='Voucher__hide_from_staff')),
                ('assignment', models.CharField(choices=[('manual', 'Voucher__assignment-manual'), ('automatic', 'Voucher__assignment-automatic'), ('on_public', 'Voucher__assignment-on_public')], default='manual', help_text='Voucher__assignment__help', max_length=20, verbose_name='Voucher__assignment')),
                ('data', models.CharField(choices=[('text', 'Voucher__data-text'), ('url', 'Voucher__data-url')], default='text', help_text='Voucher__data__help', max_length=20, verbose_name='Voucher__data')),
                ('target', models.CharField(choices=[('assembly', 'Voucher__target-assembly'), ('channel', 'Voucher__target-channel'), ('user', 'Voucher__target-user')], help_text='Voucher__target__help', max_length=20, verbose_name='Voucher__target')),
                ('description', models.TextField(blank=True, help_text='Voucher__description__help', null=True, verbose_name='Voucher__description')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='vouchers', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'Voucher',
                'verbose_name_plural': 'Vouchers',
            },
        ),
        migrations.AlterModelOptions(
            name='conferencemember',
            options={'permissions': [('assembly_team', 'ConferenceMember__permission-assembly_team'), ('channel_team', 'ConferenceMember__permission-channel_team'), ('static_pages', 'ConferenceMember__permission-static_pages'), ('platformusers', 'Orga: Users List'), ('rename_platformuser', 'Orga: Rename User'), ('block_platformuser', 'ConferenceMember__permission-block_platformuser'), ('change_conferencemember__active_angel', 'ConferenceMember__permission-change_conferencemember__active_angel'), ('view_platformuser__guardian', 'ConferenceMember__permission-view_platformuser__guardian'), ('voucher_admin', 'ConferenceMember__permission-voucher_admin'), ('scheduleadmin', 'ConferenceMember__permission-scheduleadmin'), ('workadventure_admin', 'ConferenceMember__permission-workadventure_admin')]},
        ),
        migrations.CreateModel(
            name='VoucherEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(blank=True, null=True, help_text='VoucherEntry__content__help', verbose_name='VoucherEntry__content')),
                ('created', models.DateTimeField(auto_now_add=True, help_text='VoucherEntry__created__help', verbose_name='VoucherEntry__created')),
                ('expires', models.DateTimeField(blank=True, help_text='VoucherEntry__expires__help', null=True, verbose_name='VoucherEntry__expires')),
                ('assigned', models.DateTimeField(blank=True, help_text='VoucherEntry__assigned__help', null=True, verbose_name='VoucherEntry__assigned')),
                ('assigned_assembly', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='vouchers', to='core.assembly')),
                ('assigned_user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='vouchers', to=settings.AUTH_USER_MODEL)),
                ('voucher', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='entries', to='core.voucher')),
            ],
        ),
    ]
