from django.db import models

from core.models.users import PlatformUser


class UserDereferrerAllowlist(models.Model):
    class Meta:
        constraints = [models.constraints.UniqueConstraint(fields=['domain', 'user'], name='domain_user_unique')]

    domain = models.CharField(null=False, blank=False, max_length=2048)
    user = models.ForeignKey(PlatformUser, related_name='dereferrer_allowed_hosts', blank=True, null=True, on_delete=models.CASCADE)
    active = models.BooleanField(default=True)


class DereferrerStats(models.Model):
    domain = models.CharField(null=False, blank=False, max_length=2048, unique=True)
    hits = models.IntegerField(default=0, null=False, blank=False)
